/*
Copyright (C) 2001-2002 Tomas Jakobsson.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include	"../quakedef.h"
#include	"../game.h"

list_t	p_cars[64];
int		p_numcars;

void Precaches (void)
{
	int		i;
	char	temp[32];

	p_numcars	= LoadList ("models/cars.lst", p_cars, true);

	for (i=0; i<p_numcars; i++)
	{
		_snprintf (temp, sizeof(list_t), "models/%s.car", p_cars[i].name);
		MR_strcpy (p_cars[i].name, temp);
		PrecacheModel (p_cars[i].name);
	}
}
