/*
Copyright (C) 2001-2002 Tomas Jakobsson.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef	__SOUND__
#define	__SOUND__

extern	int	MRS_Init		(void);
extern	int	MRS_SampleLoad		(int number, char *filename);
extern	void	MRS_Shutdown		(void);
extern	void	MRS_SampleFree		(int number);
extern	void	MRS_SamplePlay		(int number, int volume, qboolean loop);
extern	void	MRS_SampleStop		(int number);
extern	void	MRS_SampleSetVolume	(int number, int volume);
extern	void	MRS_SampleSetPan	(int number, int pan);
extern	void	MRS_SampleSetPitch	(int number, int pitch);
extern	int	MRS_SampleGetPitch	(int number);

#endif // __SOUND__
